import MoleculeInputField from '@s-ui/react-molecule-input-field';
import { BASE_CLASS } from '../../config.js';
import useLoginFormState from '../../hooks/components/useLoginFormState.js';
// import useDomain from '../../hooks/useDomain.js'
// import useEventBus from '../../hooks/useEventBus.js'
import useI18n from '../../hooks/useI18n.js';
import Notification from '../Info/Notification.js';

// import LoginButton from '../Input/LoginButton.js'
import SubmitButton from '../Input/SubmitButton.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var LoginForm = function LoginForm() {
  var _useLoginFormState = useLoginFormState(),
    _useLoginFormState$st = _useLoginFormState.state,
    email = _useLoginFormState$st.email,
    password = _useLoginFormState$st.password,
    isLoading = _useLoginFormState$st.isLoading,
    notification = _useLoginFormState$st.notification,
    emailErrorText = _useLoginFormState$st.emailErrorText,
    passwordErrorText = _useLoginFormState$st.passwordErrorText,
    setEmail = _useLoginFormState.setEmail,
    setPassword = _useLoginFormState.setPassword;
  var i18n = useI18n();
  // const domain = useDomain()
  // const {emit} = useEventBus()

  // const {
  //   RESET_PASSWORD_BUTTON_CLICK,
  //   RESET_PASSWORD_EMAIL_VALIDATION_ERROR,
  //   RESET_PASSWORD_ERROR,
  //   RESET_PASSWORD_RESEND_CLICK,
  //   RESET_PASSWORD_SUCCESS
  // } = EVENTS

  // const getErrorText = value => {
  //   return domain
  //     .get('validate_email_password_use_case')
  //     .execute({email: value})
  //     .then(([error]) => {
  //       switch (error?.constructor?.name) {
  //         case undefined:
  //           return ''
  //         case 'EmptyEmailPasswordError':
  //           emit(RESET_PASSWORD_EMAIL_VALIDATION_ERROR, {email, error})
  //           return i18n.t(
  //             'LOGIN_CROSS.PASSWORD_RESET.STEP_1.ERRORS.EMPTY_EMAIL'
  //           )
  //         default:
  //           emit(RESET_PASSWORD_EMAIL_VALIDATION_ERROR, {email, error})
  //           return i18n.t(
  //             'LOGIN_CROSS.PASSWORD_RESET.STEP_1.ERRORS.INVALID_EMAIL'
  //           )
  //       }
  //     })
  // }

  var handleEmailChange = function handleEmailChange(e) {
    var _e$target = e == null ? void 0 : e.target,
      value = _e$target.value;
    setEmail({
      email: value
    });
  };
  var handlePasswordChange = function handlePasswordChange(e) {
    var _e$target2 = e == null ? void 0 : e.target,
      value = _e$target2.value;
    setPassword({
      password: value
    });
  };

  // const executeResetPasswordUseCase = ({onSuccessText}) => {
  //   domain
  //     .get('reset_password_use_case')
  //     .execute({email})
  //     .then(([error]) => {
  //       if (error) {
  //         emit(RESET_PASSWORD_ERROR, {email})
  //         setNotification({
  //           text: i18n.t('LOGIN_CROSS.PASSWORD_RESET.ERRORS.GENERIC_ERROR'),
  //           isError: true
  //         })
  //         return
  //       }

  //       emit(RESET_PASSWORD_SUCCESS, {email})
  //       setNotification({
  //         text: onSuccessText,
  //         isError: false
  //       })
  //     })
  // }

  var handleSubmit = function handleSubmit() {
    console.log('Llamada al login');
    // emit(RESET_PASSWORD_BUTTON_CLICK, {email})
    // getErrorText(email).then(errorText => {
    //   if (errorText) {
    //     setErrorText({errorText})
    //     return
    //   }
    //   setIsLoading(true)
    //   executeResetPasswordUseCase({
    //     onSuccessText: i18n.t(
    //       'LOGIN_CROSS.PASSWORD_RESET.STEP_1.SUCCESS.EMAIL_SENDED',
    //       {
    //         email
    //       }
    //     )
    //   })
    // })
  };

  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [notification.text ? /*#__PURE__*/_jsx(_Fragment, {
      children: /*#__PURE__*/_jsx(Notification, {
        notificationText: notification.text,
        isError: notification.isError
      })
    }) : null, !notification.text ? /*#__PURE__*/_jsxs(_Fragment, {
      children: [/*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formInput",
        children: /*#__PURE__*/_jsx(MoleculeInputField, {
          errorText: emailErrorText,
          id: "email",
          label: i18n.t('LOGIN_CROSS.LOGIN.EMAIL'),
          name: "email",
          onChange: handleEmailChange,
          placeholder: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.EMAIL_PLACEHOLDER'),
          size: "l",
          type: "text",
          value: email
        })
      }), /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formInput",
        children: /*#__PURE__*/_jsx(MoleculeInputField, {
          errorText: passwordErrorText,
          id: "password",
          label: i18n.t('LOGIN_CROSS.LOGIN.PASSWORD'),
          name: "password",
          onChange: handlePasswordChange,
          placeholder: i18n.t('LOGIN_CROSS.LOGIN.ENTER_YOUR_PASSWORD'),
          size: "l",
          type: "password",
          value: password
        })
      }), /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formInput",
        children: /*#__PURE__*/_jsx("div", {
          className: BASE_CLASS + "-formLink",
          children: i18n.t('LOGIN_CROSS.LOGIN.FORGOT_YOUR_PASSWORD')
        })
      })]
    }) : null, /*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-formButtons",
      children: !notification.text ? /*#__PURE__*/_jsx(SubmitButton, {
        isEnabled: true,
        isLoading: isLoading,
        onClick: handleSubmit,
        children: i18n.t('LOGIN_CROSS.LOGIN.SUBMIT_BUTTON')
      }) : null
    })]
  });
};
LoginForm.displayName = 'LoginForm';
export default LoginForm;